| Classes - Annotated - Tree - Functions - Home - Structure

# QStrIList Class Reference

The QStrIList class provides a doubly linked list of `char*` with case insensitive compare. More...

`#include <qstrlist.h>`

Inherits QStrList.

List of all member functions.

## Public Members

- QStrIList ( bool deepCopies=TRUE )
- ~QStrIList ()

## Detailed Description

The QStrIList class provides a doubly linked list of `char*` with case insensitive compare.

This class is a QList<char> instance (a list of char*).

QStrIList is similar to QStrList except that it is case insensitive. The virtual compareItems() function is reimplemented and does a case insensitive string comparison. The inSort() function will insert strings in a sorted order.

The QStrListIterator class is an iterator for QStrList.

## Member Function Documentation

### QStrIList::QStrIList ( bool deepCopies=TRUE )

Constructs a list of strings. Will make deep copies of all inserted strings if deepCopies is TRUE, or uses shallow copies if deepCopies is FALSE.

### QStrIList::~QStrIList ()

Destroys the list. All strings are removed.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2001 Trolltech, all rights reserved.